Problem with automatic installation of SSL certificate Let's Encrypt on Centos 6.9

General support questions
Post Reply
Alex777
Posts: 2
Joined: 2018/02/04 09:25:06

Problem with automatic installation of SSL certificate Let's Encrypt on Centos 6.9

Post by Alex777 » 2018/02/04 09:57:58

Hello!

I was unable to automatically install the SSL certificate Let's Encrypt on Centos 6.9.
The site works in this configuration: Apache + Nginx.
I install for Apache.
Instruction here: https://certbot.eff.org/#centos6-apache
It produces such errors:

Error: Package: 1:mod_ssl-2.2.15-60.el6.centos.6.i686 (updates)
Requires: httpd = 2.2.15-60.el6.centos.6
Installed: httpd-2.2.26-1.el6.i686 (@CentALT)
httpd = 2.2.26-1.el6
Available: httpd-2.2.15-59.el6.centos.i686 (base)
httpd = 2.2.15-59.el6.centos
Available: httpd-2.2.15-60.el6.centos.4.i686 (updates)
httpd = 2.2.15-60.el6.centos.4
Available: httpd-2.2.15-60.el6.centos.5.i686 (updates)
httpd = 2.2.15-60.el6.centos.5
Available: httpd-2.2.15-60.el6.centos.6.i686 (updates)
httpd = 2.2.15-60.el6.centos.6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Could not install OS dependencies. Aborting bootstrap!
Help solve the problem.
Sorry for my google English :)
Attachments
Error_Package.txt
Error: Package
(6.33 KiB) Downloaded 14 times

User avatar
TrevorH
Forum Moderator
Posts: 22746
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problem with automatic installation of SSL certificate Let's Encrypt on Centos 6.9

Post by TrevorH » 2018/02/04 13:22:14

Installed: httpd-2.2.26-1.el6.i686 (@CentALT)
Your problem is that you have installed the CentALT yum repo and some of its packages. The repo is not safe - for a start it overwrites CentOS supplied packages like httpd (which it has done in your case). Also, last time I looked, CentALT packages were not GPG signed which means you have no idea if they are the ones that the CentALT maintainer uploaded or if they've been replaced by hackers.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Alex777
Posts: 2
Joined: 2018/02/04 09:25:06

Re: Problem with automatic installation of SSL certificate Let's Encrypt on Centos 6.9

Post by Alex777 » 2018/02/04 16:43:43

TrevorH wrote:
Installed: httpd-2.2.26-1.el6.i686 (@CentALT)
Your problem is that you have installed the CentALT yum repo and some of its packages. The repo is not safe - for a start it overwrites CentOS supplied packages like httpd (which it has done in your case). Also, last time I looked, CentALT packages were not GPG signed which means you have no idea if they are the ones that the CentALT maintainer uploaded or if they've been replaced by hackers.
Thank you.
How can I fix what needs to be done?

User avatar
TrevorH
Forum Moderator
Posts: 22746
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problem with automatic installation of SSL certificate Let's Encrypt on Centos 6.9

Post by TrevorH » 2018/02/05 00:42:01

I'd personally recommend that you downgrade the httpd package to the one that CentOS ships. But that may depend on why you updated to the newer one from CentALT and if it's required for some reason.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply